Bug 142105 - No DRI with mga driver on a matrox G200 due to drm failure
No DRI with mga driver on a matrox G200 due to drm failure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 07:28 EST by Sitsofe Wheeler
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 14:44:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (39.00 KB, text/plain)
2004-12-07 07:30 EST, Sitsofe Wheeler
no flags Details
/etc/X11/xorg.conf (2.75 KB, text/plain)
2004-12-07 07:33 EST, Sitsofe Wheeler
no flags Details
dmesg (8.47 KB, text/plain)
2004-12-07 07:34 EST, Sitsofe Wheeler
no flags Details
Errors from Xorg.0.log on x86_64 and Radeon 9200 (1003 bytes, text/plain)
2004-12-07 18:25 EST, Hugh Caley
no flags Details
Xorg and dmesg logs of Radeon drm/dri failure (2.01 KB, text/plain)
2004-12-20 21:29 EST, Hugh Caley
no flags Details

  None (edit)
Description Sitsofe Wheeler 2004-12-07 07:28:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win95; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When xorg attempts to start it tries to load the drm module but fails. The following is printed inside the /var/log/Xorg.0.log:
(II) MGA(0): [drm] drmAddMap failed
(EE) MGA(0): [drm] DRIScreenInit failed.  Disabling DRI.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12.FC3.21

How reproducible:
Always

Steps to Reproduce:
1. Start the default configured X

Actual Results:  drm module has problems loading so there is no DRI.

Expected Results:  drm module should have loaded an DRI should have been enabled.

Additional info:

Changing screen resolution or depth doesn't seem to help.
Comment 1 Sitsofe Wheeler 2004-12-07 07:30:44 EST
Created attachment 108031 [details]
/var/log/Xorg.0.log

X.org output log
Comment 2 Sitsofe Wheeler 2004-12-07 07:33:42 EST
Created attachment 108032 [details]
/etc/X11/xorg.conf
Comment 3 Sitsofe Wheeler 2004-12-07 07:34:35 EST
Created attachment 108033 [details]
dmesg
Comment 4 Hugh Caley 2004-12-07 18:23:29 EST
I'm having the same problem with xorg-x11-6.8.1-12.FC3.21 on FC3
x86_64 with both a Matrox G550 card and a Radeon 9200 card.  

2.6.9-1.681_FC3 #1 Thu Nov 18 15:13:22 EST 2004 x86_64 x86_64 x86_64
GNU/Linux

Same DRM/DRI errors as above.
Comment 5 Hugh Caley 2004-12-07 18:25:33 EST
Created attachment 108074 [details]
Errors from Xorg.0.log on x86_64 and Radeon 9200
Comment 6 Hugh Caley 2004-12-08 19:21:03 EST
Poster, you aren't using FC3 x86_64, are you?
Comment 7 Sitsofe Wheeler 2004-12-09 03:55:53 EST
No I'm not, I'm using FC3 i386
Comment 8 Hugh Caley 2004-12-20 21:29:28 EST
Created attachment 108927 [details]
Xorg and dmesg logs of Radeon drm/dri failure
Comment 9 Mike A. Harris 2004-12-21 03:45:10 EST
The Matrox DRI hasn't worked for a number of X.org releases now
it seems, depending on the hardware.  There does not appear to
be an upstream maintainer for this driver anymore, so problems
don't seem to get fixed upstream anymore.  ;o/

I don't notice any DRI related errors in the X.org log, and no
DRM related ones in dmesg.  Does your /var/log/messages contain
any relevant oops messages or other DRM or AGP related errors?

AGP is aparently rather broken in our current kernels, so it's
possible there's a problem on the AGP side of things.

I recommend reporting the Matrox issue to X.Org via the
http://bugs.freedesktop.org bugzilla also, to maximize the
likelyhood of someone investigating it and fixing it sooner.
If you do, please paste the URL here and we'll track the issue
there as well.

Thanks in advance.


In reply to comment #4/5/8:

DRI bugs in general are either kernel module specific DRM issues,
or 2D or 3D driver specific issues on the X side.  Generic DRI
bugs that affect all hardware are extremely rare, so if you are
having a DRI bug report on hardware other than what is initially
reported in this bug report, it should be treated as a separate
issue, and if you believe they may be related, or be caused due
to common DRI code, AGP, or similar, you can indicate that in your
bug report when you file it separately.

As a side note, when attaching files to bugzilla, always attach
individual uncompressed files, one file per attachment, so they
are individually viewable by clicking on them in a web browser.

Thanks.
Comment 10 Sitsofe Wheeler 2004-12-21 05:02:07 EST
There are no DRM or AGP errors in /var/log/messages* . There are no
oopses in there either.

Re: lack of upstream maintainer
Ouch. It's a pity matrox can't help (maybe they have the usual
licenced IP problems).

Anyway, I filed this on fd.o -
https://bugs.freedesktop.org/show_bug.cgi?id=2125

I'll ping this bug again after a new kernel with agpgart fixes is
released to see if this problem goes away.
Comment 12 Mike A. Harris 2004-12-21 12:58:33 EST
(II) MGA(0): Using overlay video
(==) MGA(0): Direct rendering disabled
Comment 13 Sitsofe Wheeler 2005-01-04 14:41:17 EST
This problem mysteriously went away after an update to kernel-2.6.9-1.724_FC3.
How should this be resolved? CURRENTRELEASE (even though it appears not to be
x.org problem)?
Comment 14 Dave Jones 2005-01-04 14:44:24 EST
possibly a bad interaction between the 4g4g patch. It's the biggest difference
over the previous release.

Note You need to log in before you can comment on or make changes to this bug.